package com.ruoyi.interfaces.domain.vo;

import com.ruoyi.interfaces.domain.MdModelInfo;
import com.ruoyi.interfaces.domain.PtService;

import java.util.Date;
import java.util.List;

public class MdModelInfoVo extends MdModelInfo {
    /**
     * 服务列表
     */
    private List<PtService> serviceList;


    public List<PtService> getServiceList() {
        return serviceList;
    }

    public void setServiceList(List<PtService> serviceList) {
        this.serviceList = serviceList;
    }

    public MdModelInfoVo() {

    }

    public MdModelInfoVo(String mdid, String fileid, List<PtService> serviceList) {
        super(mdid, fileid);
        this.serviceList = serviceList;
    }

    public MdModelInfoVo(String mdid, String name, String enname, String cateid, String devlang, String version, String intro, String type, String tags, Long author, Integer isPublic, Integer isApproved, Integer status, String className, String mdUnit, String mdContact, String developer, Integer msgFlag, String msgWebHook, Integer mdCPU, Integer mdGpu, String mdRunEnv, String mdRunCmd, String mdInOutName, String mdInOutNameEn, String mirrorImageEg, String mirrorImageUrl, String mirrorImageDesc, Date modifyBy, String registrant, List<PtService> serviceList) {
        super(mdid, name, enname, cateid, devlang, version, intro, type, tags, author, isPublic, isApproved, status, className, mdUnit, mdContact, developer, msgFlag, msgWebHook, mdCPU, mdGpu, mdRunEnv, mdRunCmd, mdInOutName, mdInOutNameEn, mirrorImageEg, mirrorImageUrl, mirrorImageDesc, modifyBy, registrant);
        this.serviceList = serviceList;
    }

    public MdModelInfoVo(List<PtService> serviceList) {
        this.serviceList = serviceList;
    }

    public MdModelInfoVo(MdModelInfo modelInfo) {
        super(modelInfo.getMdid(),
                modelInfo.getName(),
                modelInfo.getEnname(),
                modelInfo.getCateid(),
                modelInfo.getDevlang(),
                modelInfo.getVersion(),
                modelInfo.getIntro(),
                modelInfo.getType(),
                modelInfo.getTags(),
                modelInfo.getAuthor(),
                modelInfo.getIsPublic(),
                modelInfo.getIsApproved(),
                modelInfo.getStatus(),
                modelInfo.getClassName(),
                modelInfo.getMdUnit(),
                modelInfo.getMdContact(),
                modelInfo.getDeveloper(),
                modelInfo.getMsgFlag(),
                modelInfo.getMsgWebHook(),
                modelInfo.getMdCPU(),
                modelInfo.getMdGpu(),
                modelInfo.getMdRunEnv(),
                modelInfo.getMdRunCmd(),
                modelInfo.getMdInOutName(),
                modelInfo.getMdInOutNameEn(),
                modelInfo.getMirrorImageEg(),
                modelInfo.getMirrorImageUrl(),
                modelInfo.getMirrorImageDesc(),
                modelInfo.getModifyBy(),
                modelInfo.getRegistrant()
        );
    }

}
